<?php
if (!defined("WHMCS")) {
    die("This file cannot be accessed directly");
}
function addmoney_config()
{
    return array(
        'name' => '加款Api', 
        'description' => '加款Api', 
        'author' => 'Flyqie',
        'version' => '1.1',
        'fields' => array(
            'defaultdescription' => array(
                'FriendlyName' => '默认余额备注',
                'Type' => 'text',
                'Size' => '500',
                'Default' => 'Api添加',
                'Description' => '默认余额备注',
            ),
            'adminid' => array(
                'FriendlyName' => '管理员ID',
                'Type' => 'text',
                'Size' => '500',
                'Default' => '1',
                'Description' => '管理员ID',
            ),
            'authkey' => array(
                'FriendlyName' => '验证密钥',
                'Type' => 'password',
                'Size' => '500',
                'Default' => '',
                'Description' => '验证密钥',
            )
        )
    );
}
function addmoney_activate()
{
    return array(
        'status' => 'success', 
        'description' => '插件已经成功激活,请设置插件',
    );
}
function addmoney_deactivate()
{
    return array(
        'status' => 'success', 
        'description' => '插件禁用成功',
    );
}
function addmoney_clientarea($vars)
{
	$Authkey = $vars['authkey'];
    $AuthKeyP = isset($_REQUEST['key']) ? $_REQUEST['key'] : '';
	$userid = isset($_REQUEST['id']) ? $_REQUEST['id'] : '';
	$money = isset($_REQUEST['money']) ? $_REQUEST['money'] : '';
	$des = isset($_REQUEST['des']) ? $_REQUEST['des'] : $vars['defaultdescription'];
    if($Authkey != $AuthKeyP){
		exit('{"msg":"密钥错误","code":403}');
    }
	if(!$userid || !$money || !$des || !$AuthKeyP){
		exit('{"msg":"请补全信息","code":404}');
	}
	$postData = array(
	    'clientid' => $userid,
	    'description' => $des,
	    'amount' => $money,
	);
	$results = localAPI('AddCredit',$postData,$vars['adminid']);
	if($results['result'] != 'success'){
		$jsonresults['code'] = 500;
		$jsonresults['data'] = $results;
		exit(json_encode($jsonresults));
	}else{
		exit('{"msg":"成功添加余额","code":200}');
	}
}